import { EventEmitter, Renderer2, ElementRef, OnInit } from '@angular/core';
import { ButtonSize, ButtonType } from './types';
export declare class ButtonDirective implements OnInit {
    private _element;
    private _renderer;
    disabled: boolean;
    size: ButtonSize;
    type: ButtonType;
    safeClick: EventEmitter<MouseEvent>;
    constructor(_element: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    private _onClick;
}
